<?php

// Obtain cloud data from file
$sXmlSrc = file_get_contents('cloud.xml');

// Load the XML source
$xml = new DOMDocument;
$xml->loadXML($sXmlSrc);

// Load XSLT
$xsl = new DOMDocument;
$xsl->load('xslt/tagcloud.xslt');

$proc = new XSLTProcessor; // configure xslt processor
$proc->importStyleSheet($xsl); // attach the xsl rules

echo $proc->transformToXML($xml); // draw result tags cloud

?>